#ifndef _FILESYSTEM_H
#define _FILESYSTEM_H

#define SPIFFS LITTLEFS
#include <Arduino.h>

const int MAX_DIRECTORIES = 8;

void Init_File_System(void);

void readTestFile(void);

//void printDirectory(File dir, int numTabs = 3);

void writeFilesToSerial(void);

void getAllDirectories(String directoryList[], int& count);

void printFilesInDirectories(String directoryList[], int count);

void printAllFiles(void);

#endif